Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class Lens

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.geom.Rectangle2D.Float
                  edu.uci.ics.jung.visualization.Lens

All Implemented Interfaces:
  Cloneable, EventListener, MouseListener, MouseMotionListener, Shape

Deprecated. use the SatelliteVisualizationViewer instead

public class Lens
extends Rectangle2D.Float
implements MouseListener, MouseMotionListener

Lens is intended to be used as an overlay on the BirdsEyeVisualizationViewer. It is a Rectangle that acts as a MouseListener (for moving and resizing the Rectangle).

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary

Nested classes inherited from class java.awt.geom.Rectangle2D
`Rectangle2D.Double, Rectangle2D.Float`

Field Summary
`protected float` | `aspectRatio` Deprecated. ratio of width to height
`protected Line2D` | `base` Deprecated. the base of the rectangle
`protected Point` | `down` Deprecated.
`protected boolean` | `dragBase` Deprecated. true if we are dragging the base
`protected boolean` | `dragLeftLeg` Deprecated. true if we are dragging the left leg
`protected boolean` | `dragRightLeg` Deprecated. true if we are dragging the right leg
`protected boolean` | `dragTop` Deprecated. true if we are dragging the top
`protected Layout` | `layout` Deprecated. the layout being used by the BirdsEye
`protected Line2D` | `leftLeg` Deprecated. the left leg of the rectangle
`protected AffineTransform` | `lensXform` Deprecated.
`protected float` | `offx` Deprecated. the offset in the x direction, as a percentage of width
`protected float` | `offy` Deprecated. the offset in the y direction, as a percentage of height
`protected boolean` | `outside` Deprecated. true if the mouse pointer is outside the window
`protected boolean` | `pan` Deprecated. true if we are dragging the Rectangle around
`protected Line2D` | `rightLeg` Deprecated. the right leg of the rectangle
`protected float` | `scalex` Deprecated. the scale of the BirdsEyeVisualizationViewer compared to the graph display
`protected float` | `scaley` Deprecated. the scale of the BirdsEyeVisualizationViewer compared to the graph display
`protected PropertyChangeSupport` | `support` Deprecated. support for property changes
`protected Line2D` | `top` Deprecated. the top of the rectangle
`protected VisualizationViewer` | `vv` Deprecated. the VisualizationViewer that is scaled and translated by this Lens

Fields inherited from class java.awt.geom.Rectangle2D.Float
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`Lens(VisualizationViewer vv, float scalex, float scaley)` Deprecated. Create a Lens that is centered in the BirdsEyeVisualizationViewer

Method Summary
`void` | `init()` Deprecated. set the Rectangle to be centered in the BirdsEyeVisualizationViewer
`void` | `mouseClicked(MouseEvent e)` Deprecated.
`void` | `mouseDragged(MouseEvent e)` Deprecated.
`void` | `mouseEntered(MouseEvent e)` Deprecated.
`void` | `mouseExited(MouseEvent e)` Deprecated.
`void` | `mouseMoved(MouseEvent e)` Deprecated.
`void` | `mousePressed(MouseEvent e)` Deprecated.
`void` | `mouseReleased(MouseEvent e)` Deprecated.
`void` | `reset()` Deprecated. reset the rectangle to the full size of the BirdsEyeVisualizationViewer This will result in no zoom or pan of the main display
`void` | `setFrame(VisualizationViewer vv)` Deprecated.

Methods inherited from class java.awt.geom.Rectangle2D.Float
`createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect, setRect, toString`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pan

    protected boolean pan

  Deprecated.
  true if we are dragging the Rectangle around

### dragRightLeg

    protected boolean dragRightLeg

  Deprecated.
  true if we are dragging the right leg

### dragBase

    protected boolean dragBase

  Deprecated.
  true if we are dragging the base

### dragLeftLeg

    protected boolean dragLeftLeg

  Deprecated.
  true if we are dragging the left leg

### dragTop

    protected boolean dragTop

  Deprecated.
  true if we are dragging the top

### outside

    protected boolean outside

  Deprecated.
  true if the mouse pointer is outside the window

### offx

    protected float offx

  Deprecated.
  the offset in the x direction, as a percentage of width

### offy

    protected float offy

  Deprecated.
  the offset in the y direction, as a percentage of height

### leftLeg

    protected Line2D leftLeg

  Deprecated.
  the left leg of the rectangle

### rightLeg

    protected Line2D rightLeg

  Deprecated.
  the right leg of the rectangle

### base

    protected Line2D base

  Deprecated.
  the base of the rectangle

### top

    protected Line2D top

  Deprecated.
  the top of the rectangle

### scalex

    protected float scalex

  Deprecated.
  the scale of the BirdsEyeVisualizationViewer compared to the graph display

### scaley

    protected float scaley

  Deprecated.
  the scale of the BirdsEyeVisualizationViewer compared to the graph display

### layout

    protected Layout layout

  Deprecated.
  the layout being used by the BirdsEye

### vv

    protected VisualizationViewer vv

  Deprecated.
  the VisualizationViewer that is scaled and translated by this Lens

### support

    protected PropertyChangeSupport support

  Deprecated.
  support for property changes

### aspectRatio

    protected float aspectRatio

  Deprecated.
  ratio of width to height

### down

    protected Point down

  Deprecated.

### lensXform

    protected AffineTransform lensXform

  Deprecated.

Constructor Detail

### Lens

    public Lens(VisualizationViewer vv,
                float scalex,
                float scaley)

  Deprecated.
  Create a Lens that is centered in the BirdsEyeVisualizationViewer

Method Detail

### reset

    public void reset()

  Deprecated.
  reset the rectangle to the full size of the BirdsEyeVisualizationViewer This will result in no zoom or pan of the main display

### setFrame

    public void setFrame(VisualizationViewer vv)

  Deprecated.

### init

    public void init()

  Deprecated.
  set the Rectangle to be centered in the BirdsEyeVisualizationViewer

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseClicked` in interface `MouseListener`

### mousePressed

    public void mousePressed(MouseEvent e)

  Deprecated.
  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Deprecated.
  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD